org.apache.tinkerpop.gremlin.hadoop.structure

## Class HadoopEdge

- java.lang.Object
- - org.apache.tinkerpop.gremlin.hadoop.structure.HadoopElement
  - - org.apache.tinkerpop.gremlin.hadoop.structure.HadoopEdge

- All Implemented Interfaces:
    Edge, Element, WrappedEdge<Edge>

      public final class HadoopEdge
      extends HadoopElement
      implements Edge, WrappedEdge<Edge>

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.structure.Edge

      `Edge.Exceptions`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.hadoop.structure.HadoopElement

      `baseElement, graph`

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.structure.Edge

      `DEFAULT_LABEL`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HadoopEdge()`
    `` | `HadoopEdge(Edge edge, HadoopGraph graph)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Edge` | `getBaseEdge()`
    `<V> Iterator<Property<V>>` | `properties(String... propertyKeys)` Get an `Iterator` of properties where the `propertyKeys` is meant to be a filter on the available keys.
    `Iterator<Vertex>` | `vertices(Direction direction)` Retrieve the vertex (or vertices) associated with this edge as defined by the direction.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.hadoop.structure.HadoopElement

      `equals, graph, hashCode, id, label, property, property, remove, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Edge

      `bothVertices, inVertex, outVertex`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Element

      `graph, id, keys, label, property, property, remove, value, values`

- - ### Constructor Detail

    - #### HadoopEdge

          protected HadoopEdge()

    - #### HadoopEdge

          public HadoopEdge(Edge edge,
                            HadoopGraph graph)

  - ### Method Detail

    - #### getBaseEdge

          public Edge getBaseEdge()

      Specified by:
        `getBaseEdge` in interface `WrappedEdge<Edge>`

    - #### vertices

          public Iterator<Vertex> vertices(Direction direction)

      Description copied from interface: `Edge`
      Retrieve the vertex (or vertices) associated with this edge as defined by the direction. If the direction is `Direction.BOTH` then the iterator order is: `Direction.OUT` then `Direction.IN`.
      Specified by:
        `vertices` in interface `Edge`
      Parameters:
        `direction` - Get the incoming vertex, outgoing vertex, or both vertices
      Returns:
        An iterator with 1 or 2 vertices

    - #### properties

          public <V> Iterator<Property<V>> properties(String... propertyKeys)

      Description copied from interface: `Edge`
      Get an `Iterator` of properties where the `propertyKeys` is meant to be a filter on the available keys. If no keys are provide then return all the properties.
      Specified by:
        `properties` in interface `Edge`
      Specified by:
        `properties` in interface `Element`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.